Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.util.normalize.target
Class NormalizationStorageCSV

    java.lang.Object
      org.encog.util.normalize.target.NormalizationStorageCSV

All Implemented Interfaces:
  Serializable, NormalizationStorage

    public class NormalizationStorageCSV

extends Object
implements NormalizationStorage

Store normalized data to a CSV file.

See Also:
  Serialized Form

Constructor Summary
`NormalizationStorageCSV()`
`NormalizationStorageCSV(CSVFormat format, File file)` Construct a CSV storage object from the specified file.
`NormalizationStorageCSV(File file)` Construct a CSV storage object from the specified file.

Method Summary
`void` | `close()` Close the CSV file.
`void` | `open(DataNormalization norm)` Open the CSV file.
`void` | `write(double[] data, int inputCount)` Write an array.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NormalizationStorageCSV

    public NormalizationStorageCSV(CSVFormat format,
                                   File file)

  Construct a CSV storage object from the specified file.

  Parameters:
    `format` - The format to use.
    `file` - The file to write the CSV to.

### NormalizationStorageCSV

    public NormalizationStorageCSV()

### NormalizationStorageCSV

    public NormalizationStorageCSV(File file)

  Construct a CSV storage object from the specified file.

  Parameters:
    `file` - The file to write the CSV to.

Method Detail

### close

    public void close()

  Close the CSV file.

  Specified by:
    `close` in interface `NormalizationStorage`

### open

    public void open(DataNormalization norm)

  Open the CSV file.

  Specified by:
    `open` in interface `NormalizationStorage`

### write

    public void write(double[] data,
                      int inputCount)

  Write an array.

  Specified by:
    `write` in interface `NormalizationStorage`
  Parameters:
    `data` - The data to write.
    `inputCount` - How much of the data is input.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.